Bug 1298334 - _ped.CreateException: Can't have the end before the start! (start sector=877744128 length=0) [NEEDINFO]
_ped.CreateException: Can't have the end before the start! (start sector=8777...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:17b79fd50eba3921a3cb5308f7f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 14:40 EST by Roman
Modified: 2016-12-20 12:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:51:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dlehman: needinfo? (dr.salvation19)


Attachments (Terms of Use)
File: anaconda-tb (1.37 MB, text/plain)
2016-01-13 14:40 EST, Roman
no flags Details
File: anaconda.log (66.10 KB, text/plain)
2016-01-13 14:40 EST, Roman
no flags Details
File: environ (614 bytes, text/plain)
2016-01-13 14:40 EST, Roman
no flags Details
File: journalctl (638.55 KB, text/plain)
2016-01-13 14:40 EST, Roman
no flags Details
File: lsblk_output (3.22 KB, text/plain)
2016-01-13 14:40 EST, Roman
no flags Details
File: nmcli_dev_list (2.52 KB, text/plain)
2016-01-13 14:40 EST, Roman
no flags Details
File: os_info (518 bytes, text/plain)
2016-01-13 14:40 EST, Roman
no flags Details
File: program.log (116.01 KB, text/plain)
2016-01-13 14:40 EST, Roman
no flags Details

  None (edit)
Description Roman 2016-01-13 14:40:28 EST
Description of problem:
I was reclaiming some space during the instalation. After pressing "Done" I was return to the main menu, and suddenly, that error had occured.

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/parted/geometry.py", line 56, in __init__
    self.__geometry = _ped.Geometry(self.device.getPedDevice(), start, length)
  File "/usr/lib64/python3.4/site-packages/parted/decorators.py", line 42, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python3.4/site-packages/blivet/devices/partition.py", line 627, in _computeResize
    length=newLen)
  File "/usr/lib/python3.4/site-packages/blivet/devices/partition.py", line 275, in _setTargetSize
    (constraint, geometry) = self._computeResize(self.partedPartition)
  File "/usr/lib/python3.4/site-packages/blivet/devices/storage.py", line 234, in <lambda>
    lambda s, v: s._setTargetSize(v),
  File "/usr/lib/python3.4/site-packages/blivet/deviceaction.py", line 461, in apply
    self.device.targetSize = self._targetSize
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 323, in registerAction
    action.apply()
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 1160, in resizeDevice
    self.devicetree.registerAction(action_class(device, new_size))
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 443, in _scheduleActions
    self.storage.resizeDevice(device, aligned)
_ped.CreateException: Can't have the end before the start! (start sector=877744128 length=0)

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/syslinux/vmlinuz0 root=live:LABEL=LIVE ro rd.live.image quiet rhgb rd.live.check
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-blivet-1.12.8-1.fc23.noarch, anaconda-gui-23.19.10-1.fc23.x86_64, python3-pyparted-3.10.7-1.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 Roman 2016-01-13 14:40:34 EST
Created attachment 1114497 [details]
File: anaconda-tb
Comment 2 Roman 2016-01-13 14:40:35 EST
Created attachment 1114498 [details]
File: anaconda.log
Comment 3 Roman 2016-01-13 14:40:36 EST
Created attachment 1114499 [details]
File: environ
Comment 4 Roman 2016-01-13 14:40:38 EST
Created attachment 1114500 [details]
File: journalctl
Comment 5 Roman 2016-01-13 14:40:39 EST
Created attachment 1114501 [details]
File: lsblk_output
Comment 6 Roman 2016-01-13 14:40:40 EST
Created attachment 1114502 [details]
File: nmcli_dev_list
Comment 7 Roman 2016-01-13 14:40:41 EST
Created attachment 1114503 [details]
File: os_info
Comment 8 Roman 2016-01-13 14:40:42 EST
Created attachment 1114504 [details]
File: program.log
Comment 9 David Lehman 2016-01-19 11:24:26 EST
Is it possible to try this again with some updated code to gather more information?
Comment 10 Fedora End Of Life 2016-11-24 09:54:38 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2016-12-20 12:51:42 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.